# Network Edgeデバイスをリモートポートに接続 [Fabric API](https://docs.equinix.com/ja/api-catalog/fabricv4.md)を使用して、Network Edge仮想デバイスとリモートFabricポート間のタグなし接続を確立します。 ![](https://docs.equinix.com/ja/assets/images/connect-device-to-port-38be28b711622d05580c53afacf60921.png) ## Fabric API の前提条件[​](#fabric-api-の前提条件 "への直接リンクFabric API の前提条件") 1. 認証 - OAuth2用のユーザー認証情報、クライアントID、クライアントシークレットを送信します。 認証。OAuth APIを呼び出して認証情報を検証および認証する方法については、「[API認証」を](https://docs.equinix.com/ja/equinix-api/api-authentication.md)参照してください。 2. Aサイド情報を決定します。[仮想デバイスの取得](https://docs.equinix.com/ja/api-catalog/network-edgev1/virtual-device/getvirtualdevices.md)または[仮想デバイス{uuid}の取得を](https://docs.equinix.com/ja/api-catalog/network-edgev1/virtual-device/getvirtualdevicebyuuid.md)使用して、Network Edgeデバイス情報を取得します。接続には、デバイスで使用可能なインターフェースを選択できます。ただし、指定しない場合、Equinixはインターフェースを選択します。 3. [Get All Ports](https://docs.equinix.com/ja/api-catalog/fabricv4/ports/getports.md) APIリクエストを使用して、Equinix Fabricポート情報を取得します。 ## タグなしリモートポートへの接続[​](#タグなしリモートポートへの接続 "への直接リンクタグなしリモートポートへの接続") Network Edgeデバイスからリモートポートへの接続をタグなしトラフィックで作成するには、エンドポイントにリクエストを[`/fabric/v4/connections`](https://docs.equinix.com/ja/api-catalog/fabricv4/connections/createconnection.md)送信します。`POST`リクエストの本文で接続の構成の詳細を指定します。 > **メモ** > > Network Edge 仮想デバイスからリモートポートには、タグ付けされていない接続を 1 つだけ作成できます。 | | **POST/ファブリック/v4/connections** | | ------------------ | ---------------------------------------------------------------------------------- | | 方法 | `POST` | | エンドポイント | `/fabric/v4/connections` | | ヘッダー | `Authorization`、`Content-Type` | | パスパラメータ | 該当なし | | クエリーパラメータ | 該当なし | | ボディパラメータ | `type``name`、、`order`、、`bandwidth`、`aSide``zSide`、`project`、`notifications` | サンプルcURLリクエスト: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "type": "EVPL_VC",     "bandwidth": 100,     "redundancy": {         "priority": "PRIMARY"     },     "name": "ConnectionName-1",     "order": {         "purchaseOrderNumber": "1-3232923"     },     "aSide": {         "accessPoint": {             "type": "VD",             "virtualDevice": {                 "type": "EDGE",                 "uuid": "fd5342f3-d067-4683-a24f-be952279630b"             },             "interface": {                 "type": "NETWORK",                 "id": 45645             }         }     },     "zSide": {         "accessPoint": {             "type": "COLO",             "port": {                 "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"             },             "linkProtocol": {                 "type": "UNTAGGED"             }         }     },     "project": {         "projectId": 567     },     "notifications": [         {             "type": "ALL",             "emails": [                 "test@equinix.com",                 "test1@equinix.com"             ]         }     ] }' ``` リクエスト本文に含まれるパラメータは、この例に固有のものです。パラメータの完全なリストとその説明については、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/fabricv4/connections/createconnection.md)参照してください。 ## DOT1Qリモートポートへの接続[​](#dot1qリモートポートへの接続 "への直接リンクDOT1Qリモートポートへの接続") Network EdgeデバイスからDot1Qリモートポートへの接続を作成するには、エンドポイントにリクエストを[`/fabric/v4/connections`](https://docs.equinix.com/ja/api-catalog/fabricv4/connections/createconnection.md)送信します。`POST`リクエストの本文で接続の構成の詳細を指定します。 サンプルcURLリクエスト: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d ' {     "type": "EVPL_VC",     "bandwidth": 1000,     "name": "vd to COLO",     "aSide": {     "accessPoint": {         "type": "VD",         "virtualDevice": {         "type": "EDGE",         "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"         },         "interface": {         "type": "NETWORK",         "id": 45645         }     }     },     "zSide": {     "accessPoint": {         "type": "COLO",         "port": {         "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"         },         "linkProtocol": {         "type": "DOT1Q",         "vlanTag": 300         }     }     },     "order": {     "purchaseOrderNumber": "1-129105284100"     },     "notifications": [     {         "type": "ALL",         "emails": [         "test@equinix.com",         "test1@equinix.com"         ]     }     ] }' ``` 回答例 ``` {     "type": "EVPL_VC",     "href": "https://api.equinix.com/fabric/v4/connections/c193c1c4-2c7e-472d-8c91-0283bc3b5a71",     "uuid": "c193c1c4-2c7e-472d-8c91-0283bc3b5a71",     "name": "ConnectionName-1",     "state": "PROVISIONING",     "operation": {         "providerStatus": "NOT_AVAILABLE",         "equinixStatus": "PROVISIONING"     },     "order": {         "purchaseOrderNumber": "1-3232923"     },     "project": {         "projectId": 567     },     "notifications": [         {             "type": "ALL",             "emails": [                 "testqq@equinix.com"             ]         }     ],     "account": {         "accountNumber": 270217,         "orgId": 92287,         "globalOrgId": "0016u000003JZ53AAG"     },     "changeLog": {         "createdBy": "eqxnfvuser",         "createdDateTime": "2022-03-22T23:14:23.546Z"     },     "bandwidth": 100,     "redundancy": {         "group": "79a0e626-55fe-4fe1-89a5-4d7ca52214db",         "priority": "PRIMARY"     },     "isRemote": true,     "direction": "INTERNAL",     "aSide": {         "accessPoint": {             "interface": {                 "uuid": "bf8a606b-32b2-4a53-a450-6eabd7d9ccab",                 "id": 45645,                 "type": "CLOUD"             },             "type": "VD",             "account": {                 "accountNumber": 270217,                 "orgId": 92287,                 "organizationName": "eqx-nfv",                 "globalOrgId": "0016u000003JZ53AAG"             },             "location": {                 "href": "https://api.equinix.com/fabric/v4/metros/DC",                 "region": "AMER",                 "metroName": "Ashburn",                 "metroCode": "DC"             },             "virtualDevice": {                 "href": "https://api.equinix.com/ne/v1/devices/fd5342f3-d067-4683-a24f-be952279630b",                 "uuid": "fd5342f3-d067-4683-a24f-be952279630b",                 "name": "ha-json",                 "type": "EDGE"             }         }     },     "zSide": {         "accessPoint": {             "type": "COLO",             "account": {                 "accountNumber": 270224,                 "orgId": 92287,                 "organizationName": "eqx-nfv",                 "globalOrgId": "0016u000003JZ53AAG"             },             "location": {                 "href": "https://api.equinix.com/fabric/v4/metros/SY",                 "region": "APAC",                 "metroName": "Sydney",                 "metroCode": "SY"             },             "port": {                 "href": "https://api.equinix.com/fabric/v4/ports/c791f8cb-5d73-d730-8ce0-306a5c00a4ee",                 "uuid": "c791f8cb-5d73-d730-8ce0-306a5c00a4ee",                 "name": "eqx-nfv-SY1-L-Dot1q-BO-PRI-10G-JN-1147"             },             "linkProtocol": {                 "type": "DOT1Q"             }         }     },     "additionalInfo": [] } ``` 応答ペイロードには、リクエスト本文で定義された構成パラメータが含まれます。使用可能なパラメータの全リストとその説明については、[APIリファレンスを](https://docs.equinix.com/ja/api-catalog/fabricv4/connections/createconnection.md)参照してください。 ## QinQリモートポートへの接続[​](#qinqリモートポートへの接続 "への直接リンクQinQリモートポートへの接続") Network EdgeデバイスからQinQリモートポートへの接続を作成するには、エンドポイントにリクエストを[`/fabric/v4/connections`](https://docs.equinix.com/ja/api-catalog/fabricv4/connections/createconnection.md)送信します。`POST`リクエストの本文で接続の構成の詳細を指定します。 サンプルcURLリクエスト: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d ' {     "type": "EVPL_VC",     "bandwidth": 1000,     "name": "vd to COLO",     "aSide": {     "accessPoint": {         "type": "VD",         "virtualDevice": {         "type": "EDGE",         "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"         },         "interface": {         "type": "NETWORK",         "id": 45645         }     }     },     "zSide": {     "accessPoint": {         "type": "COLO",         "port": {         "uuid": "20d32a80-0d61-4333-bc03-707b591ae2f4"         },         "linkProtocol": {         "type": "QINQ",         "vlanSTag": 300,         "vlanCTag": 400         }     }     },     "order": {     "purchaseOrderNumber": "1-129105284100"     },     "notifications": [     {         "type": "ALL",         "emails": [         "test@equinix.com",         "test1@equinix.com"         ]     }     ] } ' ``` ## 接続の監視[​](#接続の監視 "への直接リンク接続の監視") [指定された接続](https://docs.equinix.com/ja/api-catalog/fabricv4/connections/getconnectionbyuuid.md)APIの[取得](https://docs.equinix.com/ja/api-catalog/fabricv4/connections/getconnectionbyuuid.md)エンドポイントを使用して、接続ステータスを監視します。